package cn.reghao.tnb.account.api.iface;

import cn.reghao.tnb.account.api.dto.AccountAvatar;
import cn.reghao.tnb.account.api.dto.AccountInfo;
import cn.reghao.tnb.account.api.dto.AuthedAccount;
import cn.reghao.tnb.account.api.dto.CrawledUser;

import java.util.List;

/**
 * @author reghao
 * @date 2021-11-12 17:32:01
 */
public interface AccountQuery {
    AuthedAccount getAuthedAccount(int type, String sessId);
    Long getUserId(String username);
    AccountInfo getAccountInfo(long userId);
    List<AccountInfo> getAccountInfos(List<Long> userIds);
    List<AccountAvatar> getAccountAvatars(List<Long> userIds);
    AccountInfo getByMobile(String mobile);
    AccountInfo getByUsername(String username);
    @Deprecated
    Long createCrawledAccount(CrawledUser crawledUser);
    void updateAvatar(long userId, String avatarUrl);
    String getUserIdStr(long userIdLong);
    long getUserIdLong(String userIdStr);
}
